# Changelog

<!-- <START NEW CHANGELOG ENTRY> -->

## 2.0.2

([Full Changelog](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/compare/v2.0.1...3c730b09842fa5fcc3245890ab96d681d1855047))

### Bugs fixed

- Use a relative path because a path cannot start with a drive letter [#65](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/65) ([@yjoer](https://github.com/yjoer))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/graphs/contributors?from=2024-10-09&to=2024-10-21&type=c))

[@yjoer](https://github.com/search?q=repo%3Ajupyterlab-contrib%2Fjupyterlab-quickopen+involves%3Ayjoer+updated%3A2024-10-09..2024-10-21&type=Issues)

<!-- <END NEW CHANGELOG ENTRY> -->

## 2.0.1

([Full Changelog](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/compare/v2.0.0...367d06e09d546089dfe6ea168ba7ccc91f51fcd1))

### Bugs fixed

- Ensure compatibility with both sync and async contents managers [#62](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/62) ([@yjoer](https://github.com/yjoer))

### Documentation improvements

- Add `conda-forge` install to the README [#64](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/64) ([@jtpio](https://github.com/jtpio))
- add apt.text with wamerican to add /usr/share/dict/words [#60](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/60) ([@fomightez](https://github.com/fomightez))
- Add ready badge to the README [#59](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/59) ([@jtpio](https://github.com/jtpio))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/graphs/contributors?from=2024-09-30&to=2024-10-09&type=c))

[@fomightez](https://github.com/search?q=repo%3Ajupyterlab-contrib%2Fjupyterlab-quickopen+involves%3Afomightez+updated%3A2024-09-30..2024-10-09&type=Issues) | [@github-actions](https://github.com/search?q=repo%3Ajupyterlab-contrib%2Fjupyterlab-quickopen+involves%3Agithub-actions+updated%3A2024-09-30..2024-10-09&type=Issues) | [@jtpio](https://github.com/search?q=repo%3Ajupyterlab-contrib%2Fjupyterlab-quickopen+involves%3Ajtpio+updated%3A2024-09-30..2024-10-09&type=Issues) | [@yjoer](https://github.com/search?q=repo%3Ajupyterlab-contrib%2Fjupyterlab-quickopen+involves%3Ayjoer+updated%3A2024-09-30..2024-10-09&type=Issues)

## 2.0.0

([Full Changelog](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/compare/1.2.0...ec87ceb2cb87900d45db06f265c8ce7034caa876))

### :sparkles: Highlights :sparkles:

This version adds support for JupyterLab 4.

It also changes the Quick Open widget to be a modal widget instead of being located in the left area, for consistency with the command palette:

![the quick open widget in JupyterLab](https://github.com/user-attachments/assets/c158ecad-c2ed-4138-af82-80cc5b04a3d9)

The shortcut to open the Quick Open widget is <kbd>Accel Ctrl P</kbd>. It can also be opened via the `View > Quick Open` menu:

![how to open the quick open widget via the view menu](https://github.com/user-attachments/assets/971d3bf8-ed9f-4bca-b1e8-7a38a99da37f)

### Enhancements made

- Update to JupyterLab 4 [#48](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/48) ([@jtpio](https://github.com/jtpio))
- Add to the menu [#57](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/57) ([@jtpio](https://github.com/jtpio))

### Maintenance and upkeep improvements

- More cleanups [#55](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/55) ([@jtpio](https://github.com/jtpio))
- Cleanups [#54](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/54) ([@jtpio](https://github.com/jtpio))

### Documentation improvements

- Populate changelog with previous releases [#56](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/56) ([@jtpio](https://github.com/jtpio))
- Fix link to Binder [#53](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/53) ([@jtpio](https://github.com/jtpio))
- Add screencasts to the README [#51](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/51) ([@jtpio](https://github.com/jtpio))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/graphs/contributors?from=2021-12-12&to=2024-09-30&type=c))

[@github-actions](https://github.com/search?q=repo%3Ajupyterlab-contrib%2Fjupyterlab-quickopen+involves%3Agithub-actions+updated%3A2021-12-12..2024-09-30&type=Issues) | [@jtpio](https://github.com/search?q=repo%3Ajupyterlab-contrib%2Fjupyterlab-quickopen+involves%3Ajtpio+updated%3A2021-12-12..2024-09-30&type=Issues)

## 1.2.0

([full changelog](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/compare/311f367...dd12b63))

### Merged PRs

- Update for JupyterLab 3.1.x, latest cookiecutter [#29](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/29) ([@parente](https://github.com/parente))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/graphs/contributors?from=2021-08-14&to=2021-12-12&type=c))

[@parente](https://github.com/search?q=repo%3Ajupyterlab-contrib%2Fjupyterlab-quickopen+involves%3Aparente+updated%3A2021-08-14..2021-12-12&type=Issues)

## 1.1.0

([full changelog](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/compare/65a2eac...311f367))

### Merged PRs

- Update for JupyterLab 3.1.x, latest cookiecutter [#29](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/29) ([@parente](https://github.com/parente))
- Bump path-parse from 1.0.6 to 1.0.7 [#28](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/28) ([@dependabot](https://github.com/dependabot))
- Bump tar from 6.0.5 to 6.1.5 [#27](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/27) ([@dependabot](https://github.com/dependabot))
- Bump postcss from 7.0.35 to 7.0.36 [#26](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/26) ([@dependabot](https://github.com/dependabot))
- Bump glob-parent from 5.1.1 to 5.1.2 [#25](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/25) ([@dependabot](https://github.com/dependabot))
- Bump normalize-url from 4.5.0 to 4.5.1 [#24](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/24) ([@dependabot](https://github.com/dependabot))
- Bump ws from 7.4.2 to 7.4.6 [#23](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/23) ([@dependabot](https://github.com/dependabot))
- Bump browserslist from 4.16.0 to 4.16.6 [#22](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/22) ([@dependabot](https://github.com/dependabot))
- Bump lodash from 4.17.20 to 4.17.21 [#21](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/21) ([@dependabot](https://github.com/dependabot))
- Bump hosted-git-info from 2.8.8 to 2.8.9 [#20](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/20) ([@dependabot](https://github.com/dependabot))
- Bump ssri from 8.0.0 to 8.0.1 [#19](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/19) ([@dependabot](https://github.com/dependabot))
- Update binder to use jupyter_server [#18](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/18) ([@parente](https://github.com/parente))
- Update extension to work with jupyterlab 3.0 [#17](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/17) ([@parente](https://github.com/parente))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/graphs/contributors?from=2020-12-31&to=2021-08-14&type=c))

[@dependabot](https://github.com/search?q=repo%3Ajupyterlab-contrib%2Fjupyterlab-quickopen+involves%3Adependabot+updated%3A2020-12-31..2021-08-14&type=Issues) | [@parente](https://github.com/search?q=repo%3Ajupyterlab-contrib%2Fjupyterlab-quickopen+involves%3Aparente+updated%3A2020-12-31..2021-08-14&type=Issues)

## 1.0.0

([full changelog](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/compare/eb04bd1...65a2eac))

### Merged PRs

- Bump node-fetch from 2.6.0 to 2.6.1 [#15](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/15) ([@dependabot](https://github.com/dependabot))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/graphs/contributors?from=2020-03-20&to=2020-12-31&type=c))

[@dependabot](https://github.com/search?q=repo%3Ajupyterlab-contrib%2Fjupyterlab-quickopen+involves%3Adependabot+updated%3A2020-03-20..2020-12-31&type=Issues) | [@parente](https://github.com/search?q=repo%3Ajupyterlab-contrib%2Fjupyterlab-quickopen+involves%3Aparente+updated%3A2020-03-20..2020-12-31&type=Issues)

## 0.5.0

([full changelog](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/compare/ca55830...eb04bd1))

### Merged PRs

- Jupyter 2.0.1 support [#13](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/13) ([@itaistopel](https://github.com/itaistopel))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/graphs/contributors?from=2020-03-07&to=2020-03-20&type=c))

[@itaistopel](https://github.com/search?q=repo%3Ajupyterlab-contrib%2Fjupyterlab-quickopen+involves%3Aitaistopel+updated%3A2020-03-07..2020-03-20&type=Issues) | [@parente](https://github.com/search?q=repo%3Ajupyterlab-contrib%2Fjupyterlab-quickopen+involves%3Aparente+updated%3A2020-03-07..2020-03-20&type=Issues)

## 0.4.1

([full changelog](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/compare/6a1e07a...ca55830))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/graphs/contributors?from=2020-03-07&to=2020-03-07&type=c))

## 0.4.0

([full changelog](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/compare/f7c11a3...6a1e07a))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/graphs/contributors?from=2019-07-28&to=2020-03-07&type=c))

## 0.3.0

([full changelog](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/compare/e23408a...f7c11a3))

### Merged PRs

- Added relativeSearch functionality [#6](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/6) ([@StevenLaan](https://github.com/StevenLaan))
- Support JupyterLab 1.0 [#5](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/5) ([@parente](https://github.com/parente))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/graphs/contributors?from=2019-06-30&to=2019-07-28&type=c))

[@parente](https://github.com/search?q=repo%3Ajupyterlab-contrib%2Fjupyterlab-quickopen+involves%3Aparente+updated%3A2019-06-30..2019-07-28&type=Issues) | [@StevenLaan](https://github.com/search?q=repo%3Ajupyterlab-contrib%2Fjupyterlab-quickopen+involves%3AStevenLaan+updated%3A2019-06-30..2019-07-28&type=Issues)

## 0.2.0

([full changelog](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/compare/79a935a...e23408a))

### Merged PRs

- Add binder button and tutorial nb [#1](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/pull/1) ([@parente](https://github.com/parente))

### Contributors to this release

([GitHub contributors page for this release](https://github.com/jupyterlab-contrib/jupyterlab-quickopen/graphs/contributors?from=2018-12-04&to=2019-06-30&type=c))

[@parente](https://github.com/search?q=repo%3Ajupyterlab-contrib%2Fjupyterlab-quickopen+involves%3Aparente+updated%3A2018-12-04..2019-06-30&type=Issues)
